CFLAGS = -model far -opt on
# debug options: -mbg on -sym on

OBJECTS = 
		closure.c.o 
		error.c.o 
		lalr.c.o 
		lr0.c.o 
		#main.c.o 
		mkpar.c.o 
		output.c.o 
		reader.c.o 
		skeleton.c.o 
		symtab.c.o 
		verbose.c.o 
		warshall.c.o 



yacc  {OBJECTS} main.c.o
	Link -model far -d -c 'MPS ' -t MPST 
		{OBJECTS} 
		#"{CLibraries}"CSANELib.o 
		#"{CLibraries}"Math.o 
		#"{CLibraries}"Complex.o 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Stubs.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		#"{Libraries}"ToolLibs.o 
		main.c.o -o yacc
closure.c.o  closure.c defs.h
	 C {CFLAGS}  closure.c
error.c.o  error.c defs.h
	 C {CFLAGS}  error.c
lalr.c.o  lalr.c defs.h
	 C {CFLAGS}  lalr.c
lr0.c.o  lalr.c defs.h
	 C {CFLAGS}  lr0.c
main.c.o  main.c defs.h
	 C {CFLAGS}  main.c
mkpar.c.o  mkpar.c defs.h
	 C {CFLAGS}  mkpar.c
output.c.o  output.c defs.h
	 C {CFLAGS}  output.c
reader.c.o  reader.c defs.h
	 C {CFLAGS}  reader.c
skeleton.c.o  symtab.c defs.h
	 C {CFLAGS}  skeleton.c
symtab.c.o  symtab.c defs.h
	 C {CFLAGS}  symtab.c
verbose.c.o  verbose.c defs.h
	 C {CFLAGS}  verbose.c
warshall.c.o  warshall.c defs.h
	 C {CFLAGS}  warshall.c
